[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# subtract(Tvector2_single,single):Tvector2_single

Subtract scalar from two-dimensional single precision vector

## Declaration

Source position: matrix.pp line 418

`operator operator -(`
`const x: Tvector2_single;`
`y: single`
`):Tvector2_single;`

## Description

This operator allows you to subtract a scalar value from a vector. The scalar is subtracted from all elements of the vector, the result is returned as a new vector.